FROM ros:humble
WORKDIR /home/

# clone all repos with access token
RUN git clone https://swittl:glpat-1UYHBsneSzKUSfsBJHx9@mygit.th-deg.de/roboct/robo_quality/rq_interfaces.git
RUN git clone https://swittl:glpat-1UYHBsneSzKUSfsBJHx9@mygit.th-deg.de/roboct/robo_quality/rq_controller.git
RUN git clone https://swittl:glpat-1UYHBsneSzKUSfsBJHx9@mygit.th-deg.de/roboct/robo_quality/rq_hardware.git
RUN git clone https://swittl:glpat-1UYHBsneSzKUSfsBJHx9@mygit.th-deg.de/roboct/robo_quality/rq_reconstruction.git
RUN git clone https://swittl:glpat-1UYHBsneSzKUSfsBJHx9@mygit.th-deg.de/roboct/robo_quality/rq_ddetection.git
RUN git clone https://swittl:glpat-1UYHBsneSzKUSfsBJHx9@mygit.th-deg.de/roboct/robo_quality/rq_trajectory.git

# install pip3
RUN apt update
RUN apt install wget
RUN wget https://bootstrap.pypa.io/get-pip.py
RUN python3 ./get-pip.py

# build pkg
RUN /bin/bash -c "source /opt/ros/humble/setup.bash; rosdep install --from-paths . -y --ignore-src"
RUN /bin/bash -c "source /opt/ros/humble/setup.bash; colcon build --merge-install"

# install pip pkg
RUN pip3 install pdoc3 netCDF4 ros2-numpy Pillow pyometiff scipy open3d pathfinding3d